Bug 134252 - CRASH: undoing section paste
Summary: CRASH: undoing section paste
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:6.4....
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-23 09:35 UTC by Xisco Faulí
Modified: 2020-09-16 07:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (63.31 KB, application/vnd.oasis.opendocument.text)
2020-06-23 09:35 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-06-23 09:35:45 UTC
Created attachment 162337 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select all 3 times
3. Copy
4. Paste
5. Undo

-> Crash

Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 70479e1f4cb3c120f46239a648e65f035af2922d
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-06-23 09:36:59 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6c7245e789f973cf6dad03f7008ab3f9d12d350c

author	Michael Stahl <Michael.Stahl@cib.de>	2020-04-07 18:33:34 +0200
committer	Michael Stahl <michael.stahl@cib.de>	2020-04-08 10:57:52 +0200
commit	6c7245e789f973cf6dad03f7008ab3f9d12d350c (patch)
tree	dabb268bf9cd66124698965ba4a1224d2bae9994
parent	969ebe1c5801fa194ee29ffc7abfad7363ebd08f (diff)
tdf#131684 sw_redlinehide: fix SwUndoDelete for entire doc in section

Bisected with: bibisect-linux64-7.0

Adding Cc: to Michael Stahl
Comment 2 Commit Notification 2020-07-30 09:53:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/63308aa3b109271ffb4fd47e9fea2e3281a1552d

(related: tdf#134252) sw: fix assert when moving mouse pointer

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-07-30 10:31:54 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/740f1796504f66408b692225a9676c9ee3d63722

tdf#134252 sw_redlinehide: fix SwUndoDelete for table before end of section

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2020-07-30 10:37:58 UTC
fixed on master
Comment 5 Commit Notification 2020-07-30 19:23:30 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/bdb4638074e8baf9f765194d98fa8dc41de6a976

(related: tdf#134252) sw: fix assert when moving mouse pointer

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-30 19:26:14 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d7c123efdf0870dd8ca7e0f4e2a5648b024cd36d

(related: tdf#134252) sw: fix assert when moving mouse pointer

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2020-07-30 19:26:46 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4ee6aa2a6602ad7c7bc4e3ce1d5d857b2110f804

tdf#134252 sw_redlinehide: fix SwUndoDelete for table before end of section

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-07-30 20:04:25 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/941086cdc0e8aa792eddc3d2284cd795aa8f7ea3

tdf#134252 sw_redlinehide: fix SwUndoDelete for table before end of section

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-08-03 07:36:10 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/bcfea5d6426b22415ea950ff02740d31d82319c2

(related: tdf#134252) sw: fix assert when moving mouse pointer

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2020-08-06 07:31:00 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-4-6":

https://git.libreoffice.org/core/commit/94c9ab872fda9284a5ec59679ce71a3570a9ba4b

tdf#134252 sw_redlinehide: fix SwUndoDelete for table before end of section

It will be available in 6.4.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2020-08-10 14:49:59 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6ad2f463784a24c566477cdd60ae729651bb8564
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!